PDOC:(1)

NAME
pdoc: - generate Python API documentation

DESCRIPTION
usage: pdoc [-o DIR] [-d {markdown,google,numpy,restructuredtext}]

    [--include-undocumented | --no-include-undocumented] [-e module=url] [--favicon URL] [--footer-text TEXT] [--logo URL] [--logo-link URL] [--math | --no-math] [--mermaid | --no-mermaid] [--search | --no-search] [--show-source | --no-show-source] [-t DIR] [-h HOST] [-p PORT] [-n] [--help] [--version] [module ...]

Automatically generate API docs for Python modules.

  Main Arguments:

module
    Python module names. These may be importable Python module names ("pdoc.doc") or file paths ("./pdoc/doc.py"). Exclude submodules by specifying a negative !regex pattern, e.g. "foo !foo.bar". (default: [])

-o DIR, --output-directory DIR
    Write rendered documentation to the specified directory, don't start a webserver. (default: None)

  Customize Rendering:

-d {markdown,google,numpy,restructuredtext}, --docformat {markdown,google,numpy,restructuredtext}
    The default docstring format. For non-Markdown formats, pdoc will first convert matching syntax elements to Markdown and then process everything as Markdown. (default: restructuredtext)

--include-undocumented, --no-include-undocumented
    Show classes/functions/variables that do not have a docstring. (default: True)

-e module=url, --edit-url module=url
    A mapping between module names and URL prefixes, used to display an 'Edit' button. May be passed multiple times. Example: pdoc=https://github.com/mitmproxy/pdoc/blob/main/pdoc/ (default: [])

--favicon URL
    Specify a custom favicon URL. (default: None)

--footer-text TEXT
    Custom text for the page footer, for example the project name and current version number. (default: None)

--logo URL
    Add a project logo image. (default: None)

--logo-link URL
    Optional URL the logo should point to. (default: None)

--math, --no-math
    Include MathJax from a CDN to enable math formula rendering. (default: False)

--mermaid, --no-mermaid
    Include Mermaid.js from a CDN to enable Mermaid diagram rendering. (default: False)

--search, --no-search
    Enable search functionality if multiple modules are documented. (default: True)

--show-source, --no-show-source
    Display "View Source" buttons. (default: True)

-t DIR, --template-directory DIR
    A directory containing Jinja2 templates to customize output. Alternatively, put your templates in $XDG_CONFIG_HOME/pdoc and pdoc will automatically find them. (default: None)

  Miscellaneous Options:

-h HOST, --host HOST
    The host on which to run the HTTP server. (default: localhost)

-p PORT, --port PORT
    The port on which to run the HTTP server. (default: None)

-n, --no-browser
    Don't open a browser after the web server has started. (default: False)

--help
    Show this help message and exit.

--version
    Show version information and exit.

Python: 3.11.9 Platform: Linux-6.1.0-21-arm64-aarch64-with-glibc2.38

SEE ALSO
The full documentation for pdoc: is maintained as a Texinfo manual. If the info and pdoc: programs are properly installed at your site, the command

    info pdoc:

should give you access to the complete manual.